For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get item group

get
Authorizations
AuthorizationstringRequired

Prefix the value with "Bearer " to indicate the authorization type

Path parameters
idstringRequired
productIdstringRequired
Query parameters
selectstringOptional
Responses
200

Success

application/json
idstringOptional
auditobjectOptional
$metaobjectOptional
hrefstringRead-onlyOptional
namestringOptional
labelstringOptional
descriptionstringOptional
displayOrderinteger · int32Optional
isDefaultbooleanOptional
isMultipleChoicebooleanOptional
isRequiredbooleanOptional
itemCountinteger · int32Optional
productobjectOptional
get/v1/products/{productId}/item-groups/{id}
GET /public/v1/products/{productId}/item-groups/{id} HTTP/1.1
Host: api.platform.softwareone.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "text",
  "audit": {},
  "$meta": {},
  "href": "text",
  "name": "text",
  "label": "text",
  "description": "text",
  "displayOrder": 1,
  "isDefault": true,
  "isMultipleChoice": true,
  "isRequired": true,
  "itemCount": 1,
  "product": {}
}

Last updated

Was this helpful?